> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Account by id

> Retrieve an Account by its unique identification. Returns 404 if the Account does not exist.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/accounts/{id}
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/accounts/{id}:
    get:
      tags:
        - Accounts
      summary: Get an Account by id
      description: >-
        Retrieve an Account by its unique identification. Returns 404 if the
        Account does not exist.
      operationId: AccountsController_getAccount
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved Account data.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccountEntity'
        '404':
          description: The Account with the specified id does not exist.
      security:
        - bearer: []
components:
  schemas:
    AccountEntity:
      type: object
      properties:
        id:
          type: string
        type:
          nullable: false
          allOf:
            - $ref: '#/components/schemas/AccountType'
        pfi:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/PFIName'
        web3Provider:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/Web3InfraProvider'
        name:
          type: string
        addresses:
          description: >-
            Deprecated. Will be removed by May 1st, 2026. Use the `assets` and
            `fiats` properties instead for retrieving account asset and fiat
            details.
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/AccountAssetAddressEntity'
        assets:
          type: array
          items:
            $ref: '#/components/schemas/AccountAssetEntity'
        fiats:
          type: array
          items:
            $ref: '#/components/schemas/AccountFiatEntity'
        identityId:
          type: string
        createdAt:
          format: date-time
          type: string
      required:
        - id
        - type
        - pfi
        - web3Provider
        - name
        - addresses
        - assets
        - fiats
        - identityId
        - createdAt
    AccountType:
      type: string
      enum:
        - wallet
        - institution
    PFIName:
      type: string
      enum:
        - Bridge
        - Koywe
        - Kotanipay
        - Hercle
        - Bitso
        - Yellowcard
        - TraceFinance
        - HoneyCoin
        - BlindPay
        - Finity
        - Infinia
        - Walapay
        - Abra
        - Yativo
        - Capa
        - Bivo
        - Cobre
        - Avenia
        - Brale
        - BVNK
        - CoinsPH
        - Iron
        - Enigma
        - Juicyway
        - Kira
        - TripleA
        - Onmeta
        - Alfred
        - Demo
        - CrissCross
    Web3InfraProvider:
      type: string
      enum:
        - Utila
        - Standalone
        - MultiProvider
        - Dfns
        - NotApplicable
    AccountAssetAddressEntity:
      type: object
      properties:
        id:
          type: string
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        address:
          type: string
      required:
        - id
        - asset
        - address
    AccountAssetEntity:
      type: object
      properties:
        id:
          type: string
        asset:
          allOf:
            - $ref: '#/components/schemas/AssetId'
        address:
          type: string
      required:
        - id
        - asset
        - address
    AccountFiatEntity:
      type: object
      properties:
        id:
          type: string
        fiat:
          allOf:
            - $ref: '#/components/schemas/FiatCurrencyId'
      required:
        - id
        - fiat
    AssetId:
      type: string
      enum:
        - POL
        - USDT_POLYGON
        - USDC_POLYGON
        - SBC_POLYGON
        - ETH
        - USDT_ETHEREUM
        - USDC_ETHEREUM
        - PYUSD_ETHEREUM
        - DAI_ETHEREUM
        - SBC_ETHEREUM
        - TRX
        - USDT_TRON
        - SBC_TRON
        - ETH_BASE
        - USDC_BASE
        - USDB_BASE
        - EURC_BASE
        - SBC_BASE
        - ETH_OPTIMISM
        - USDT_OPTIMISM
        - USDC_OPTIMISM
        - BTC
        - CELO
        - CUSD_CELO
        - USDC_CELO
        - SBC_CELO
        - SOL
        - USDC_SOLANA
        - USDT_SOLANA
        - PYUSD_SOLANA
        - USDP_SOLANA
        - EURC_SOLANA
        - SBC_SOLANA
    FiatCurrencyId:
      type: string
      enum:
        - USD
        - EUR
        - BRL
        - ARS
        - MXN
        - COP
        - CLP
        - PEN
        - PYG
        - DOP
        - UYU
        - BOB
        - CRC
        - GTQ
        - BWP
        - CDF
        - GHS
        - KES
        - MWK
        - NGN
        - RWF
        - ZAR
        - TZS
        - UGX
        - ZMW
        - XOF
        - XAF
        - AUD
        - BDT
        - CAD
        - INR
        - JPY
        - NPR
        - PKR
        - PHP
        - SGD
        - GBP
        - CNY
        - HKD
        - IDR
        - MYR
        - KRW
        - LKR
        - THB
        - TRY
        - VND
        - CZK
        - DKK
        - NOK
        - PLN
        - RON
        - RSD
        - SEK
        - CHF
        - AED
        - SAR
        - QAR
        - ILS
        - EGP
        - JOD
        - HNL
        - JMD
        - NZD
        - DZD
        - GMD
        - GNF
        - HTG
        - MAD
        - TND
      description: Fiat currency identifier supported by the PFI account.
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````